<?php
/**
 * @file
 * bigw_basic.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function bigw_basic_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "captcha" && $api == "captcha") {
    return array("version" => "1");
  }
  if ($module == "slick" && $api == "slick_default_preset") {
    return array("version" => "1");
  }
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_image_default_styles().
 */
function bigw_basic_image_default_styles() {
  $styles = array();

  // Exported image style: contest.
  $styles['contest'] = array(
    'label' => 'Contest (460x320)',
    'effects' => array(
      1 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 460,
          'height' => 320,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: partners_60x40.
  $styles['partners_60x40'] = array(
    'label' => 'Partners 60x40',
    'effects' => array(
      2 => array(
        'name' => 'image_scale',
        'data' => array(
          'width' => 150,
          'height' => 100,
          'upscale' => 1,
        ),
        'weight' => 1,
      ),
    ),
  );

  // Exported image style: profile_image.
  $styles['profile_image'] = array(
    'label' => 'Profile image (32x32)',
    'effects' => array(
      3 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 32,
          'height' => 32,
        ),
        'weight' => 2,
      ),
    ),
  );

  return $styles;
}

/**
 * Implements hook_node_info().
 */
function bigw_basic_node_info() {
  $items = array(
    'partners' => array(
      'name' => t('Partners'),
      'base' => 'node_content',
      'description' => '',
      'has_title' => '1',
      'title_label' => t('Tytuł'),
      'help' => '',
    ),
  );
  drupal_alter('node_info', $items);
  return $items;
}

/**
 * Implements hook_default_profile2_type().
 */
function bigw_basic_default_profile2_type() {
  $items = array();
  $items['u_competition_user'] = entity_import('profile2_type', '{
    "userCategory" : true,
    "userView" : true,
    "type" : "u_competition_user",
    "label" : "u\\u017cytkownik konkursowy",
    "weight" : "0",
    "data" : { "registration" : 0 },
    "rdf_mapping" : []
  }');
  return $items;
}
